<?php

declare(strict_types=1);

/**
 * Unit tests for PHP_CompatInfo, filter extension Reference
 *
 * PHP version 7
 *
 * @category   PHP
 * @package    PHP_CompatInfo_Db
 * @subpackage Tests
 * @author     Laurent Laville <pear@laurent-laville.org>
 * @author     Remi Collet <Remi@FamilleCollet.com>
 * @license    https://opensource.org/licenses/BSD-3-Clause The 3-Clause BSD License
 * @link       http://php5.laurent-laville.org/compatinfo/
 * @since      Class available since Release 3.0.0RC1 of PHP_CompatInfo
 * @since      Class available since Release 1.0.0alpha1 of PHP_CompatInfo_Db
 */

namespace Bartlett\Tests\CompatInfoDb\Reference\Extension;

use Bartlett\Tests\CompatInfoDb\Reference\GenericTest;

/**
 * Tests for PHP_CompatInfo, retrieving components informations
 * about filter extension
 *
 * @category   PHP
 * @package    PHP_CompatInfo_Db
 * @subpackage Tests
 * @author     Laurent Laville <pear@laurent-laville.org>
 * @author     Remi Collet <Remi@FamilleCollet.com>
 * @license    https://opensource.org/licenses/BSD-3-Clause The 3-Clause BSD License
 * @link       http://php5.laurent-laville.org/compatinfo/
 */
class FilterExtensionTest extends GenericTest
{
    /**
     * Sets up the shared fixture.
     *
     * @return void
     */
    public static function setUpBeforeClass(): void
    {
        self::$optionalconstants = array(
            'FILTER_SANITIZE_ALL',
            'FILTER_VALIDATE_ALL',

            // ignores all old API constants before 0.11.0
            'FILTER_FLAG_ARRAY',
            'FILTER_FLAG_SCALAR',
        );

        // ignores all old API functions before 0.11.0
        self::$optionalfunctions = array(
            'input_get',
            'input_filters_list',
            'input_has_variable',
            'filter_data',
            'input_name_to_filter',
            'input_get_args',
        );

        parent::setUpBeforeClass();
    }
}
